<?php
/**
* @version	$Id: email_templates_config.php 16598 2017-07-27 09:19:55Z alex $
* @package	In-Portal
* @copyright	Copyright (C) 1997 - 2009 Intechnic. All rights reserved.
* @license      GNU/GPL
* In-Portal is Open Source software.
* This means that this software may have been modified pursuant
* the GNU General Public License, and as distributed it includes
* or is derivative of works licensed under the GNU General Public License
* or other free or open source software licenses.
* See http://www.in-portal.org/license for copyright notices and details.
*/

defined('FULL_PATH') or die('restricted access!');

	$config = Array (
		'Prefix' => 'email-template',
		'ItemClass' => Array ('class' => 'kDBItem', 'file' => '', 'build_event' => 'OnItemBuild'),
		'ListClass' => Array ('class' => 'kDBList', 'file' => '', 'build_event' => 'OnListBuild'),
		'EventHandlerClass' => Array ('class' => 'EmailTemplateEventHandler', 'file' => 'email_template_eh.php', 'build_event' => 'OnBuild'),
		'TagProcessorClass' => Array ('class' => 'EmailTemplateTagProcessor', 'file' => 'email_template_tp.php', 'build_event' => 'OnBuild'),

		'AutoLoad' => true,

		'QueryString' => Array (
			1 => 'id',
			2 => 'Page',
			3 => 'PerPage',
			4 => 'event',
			5 => 'mode',
		),

		'IDField' => 'TemplateId',
		'StatusField' => Array ('Enabled'),
		'TitleField' => 'TemplateName',

		'TitlePresets' => Array (
			'default' => Array (
				'new_status_labels' => Array ('email-template' => '!la_title_AddingEmailTemplate!'),
				'edit_status_labels' => Array ('email-template' => '!la_title_EditingEmailTemplate!'),
				'new_titlefield' => Array ('email-template' => '!la_title_NewEmailTemplate!'),
			),

			// for separate grid with email editing
			'email_template_list' => Array (
				'prefixes' => Array ('email-template_List'), 'format' => "!la_title_EmailTemplates!",
				'toolbar_buttons' => Array ('new_item', 'edit', 'delete', 'approve', 'decline', 'frontend_mail', 'export', 'process', 'view', 'dbl-click'),
			),

			'email_template_edit' => Array (
				'prefixes' => Array ('email-template'),
				'format' => '#email-template_status# - #email-template_titlefield# - !la_section_General!',
				'toolbar_buttons' => Array ('select', 'cancel', 'reset_edit', 'prev', 'next'),
			),

			'email_template_edit_settings' => Array (
				'prefixes' => Array ('email-template'),
				'format' => '#email-template_status# - #email-template_titlefield# - !la_section_Settings!',
				'toolbar_buttons' => Array ('select', 'cancel', 'reset_edit', 'prev', 'next'),
			),

			// for mass mailing
			'email_send_form' => Array ('prefixes' => Array (), 'format' => '!la_title_SendEmail!'),
		),

		'EditTabPresets' => Array (
			'Default' => Array (
				'general' => Array ('title' => 'la_tab_General', 't' => 'languages/email_template_edit', 'priority' => 1),
				'settings' => Array ('title' => 'la_tab_Settings', 't' => 'languages/email_template_settings', 'priority' => 2),
			),
		),

		'PermSection' => Array ('main' => 'in-portal:configemail'),

		'Sections' => Array (
			'in-portal:configemail'	=>	Array (
				'parent'		=>	'in-portal:site',
				'icon'			=>	'email_templates',
				'label'			=>	'la_title_EmailTemplates',
				'url'			=>	Array ('t' => 'languages/email_template_list', 'pass' => 'm'),
				'permissions'	=>	Array ('view', 'add', 'edit', 'delete'),
				'priority'		=>	5,
				'type'			=>	stTREE,
			),
		),

		'TableName' => TABLE_PREFIX . 'EmailTemplates',

		'ListSQLs' => Array (
			'' => '	SELECT %1$s.* %2$s FROM %1$s',
		),

		'ListSortings' => Array (
			'' => Array (
				'ForcedSorting' => Array ('Enabled' => 'desc'),
				'Sorting' => Array ('TemplateName' => 'asc'),
			),
			'module' => Array (
				'ForcedSorting' => Array ('Enabled' => 'desc'),
				'Sorting' => Array ('Description' => 'asc')
			),
		),

		'Fields' => Array (
			'TemplateId' => Array ('type' => 'int', 'not_null' => 1, 'default' => 0),
            'TemplateName' => Array ('type' => 'string', 'not_null' => 1, 'unique' => Array ('Type'), 'required' => 1, 'default' => ''),
			'Headers' => Array ('type' => 'string', 'default' => NULL),
            'ReplacementTags' => Array ('type' => 'string', 'default' => NULL),

			'AllowChangingSender' => Array (
				'type' => 'int',
				'formatter' => 'kOptionsFormatter',
				'options' => Array (1 => 'la_Yes', 0 => 'la_No'), 'use_phrases' => 1,
				'not_null' => 1, 'default' => 0
			),
			'CustomSender' => Array (
				'type' => 'int',
				'formatter' => 'kOptionsFormatter', 'options' => Array (0 => 'la_opt_DefaultAddress', 1 => 'la_opt_CustomSender'), 'use_phrases' => 1,
				'not_null' => 1, 'default' => 0
			),
			'SenderName' => Array ('type' => 'string', 'max_len' => 255, 'not_null' => 1, 'default' => ''),
			'SenderAddressType' => Array (
				'type' => 'int',
				'formatter' => 'kOptionsFormatter', 'options' => Array (1 => 'la_opt_Email', 2 => 'la_opt_User'), 'use_phrases' => 1,
				'not_null' => 1, 'error_field' => 'SenderAddress', 'default' => 0
			),
			'SenderAddress' => Array (
				'type' => 'string', 'max_len' => 255,
				'error_msgs' => Array (
					'invalid_email' => '!la_err_invalid_format!',
					'invalid_user' => '!la_error_UserNotFound!',
				),
				'not_null' => 1, 'default' => ''
			),
			'AllowChangingRecipient' => Array (
				'type' => 'int',
				'formatter' => 'kOptionsFormatter', 'options' => Array (1 => 'la_Yes', 0 => 'la_No'), 'use_phrases' => 1,
				'not_null' => 1, 'default' => 0
			),
			'CustomRecipient' => Array (
				'type' => 'int',
				'formatter' => 'kOptionsFormatter', 'options' => Array (0 => 'la_opt_DefaultAddress', 1 => 'la_opt_CustomRecipients'), 'use_phrases' => 1,
				'not_null' => 1, 'default' => 0
			),
			'Recipients' => Array ('type' => 'string', 'default' => NULL),

            'Subject' => Array (
				'type' => 'string',
				'formatter' => 'kMultiLanguage', 'db_type' => 'text',
				'error_msgs' => Array ('parsing_error' => '!la_error_ParsingError!'),
				'required' => 1, 'default' => null
			),

			'HtmlBody' => Array (
				'type' => 'string',
				'formatter' => 'kMultiLanguage', 'using_fck' => 1, 'db_type' => 'longtext',
				'error_msgs' => Array ('parsing_error' => '!la_error_ParsingError!'),
				'default' => null
			),

			'PlainTextBody' => Array (
				'type' => 'string',
				'formatter' => 'kMultiLanguage', 'db_type' => 'longtext',
				'error_msgs' => Array ('parsing_error' => '!la_error_ParsingError!'),
				'default' => null
			),

            'Enabled' => Array (
            	'type' => 'int',
            	'formatter' => 'kOptionsFormatter', 'options' => Array (1 => 'la_Yes', 0 => 'la_No'), 'use_phrases' => 1,
            	'not_null' => 1, 'default' => 1
            ),

            'FrontEndOnly' => Array (
            	'type' => 'int',
            	'formatter' => 'kOptionsFormatter', 'options' => Array (1 => 'la_Yes', 0 => 'la_No'), 'use_phrases' => 1,
            	'not_null' => 1, 'default' => 0
            ),

            'Module' => Array (
            	'type' => 'string',
            	'formatter' => 'kOptionsFormatter', 'options' => Array (),
            	'not_null' => 1, 'required' => 1, 'default' => 'Core'
            ),

            'Description' => Array ('type' => 'string', 'default' => NULL),

            'Type' => Array (
            	'type' => 'int',
            	'formatter' => 'kOptionsFormatter', 'options' => Array (1 => 'la_Text_Admin', 0 => 'la_Text_User'), 'use_phrases' => 1,
            	'not_null' => 1, 'unique' => Array ('TemplateName'), 'required' => 1, 'default' => 0
            ),
			'LastChanged' => Array ('type' => 'int', 'formatter' => 'kDateFormatter', 'default' => NULL),
			'BindToSystemEvent' => Array ('type' => 'string', 'max_len' => 255, 'not_null' => 1, 'default' => ''),
    	),

		'VirtualFields' => Array (
			'RecipientType' => Array (
				'type' => 'int',
				'formatter' => 'kOptionsFormatter', 'options' => Array (1 => 'To', 2 => 'Cc', 3 => 'Bcc'),
				'default' => 1
			),
			'RecipientName' => Array ('type' => 'string', 'max_len' => 255, 'default' => ''),
			'RecipientAddressType' => Array (
				'type' => 'int',
				'formatter' => 'kOptionsFormatter', 'options' => Array (1 => 'la_opt_Email', 2 => 'la_opt_User', 3 => 'la_opt_Group'), 'use_phrases' => 1,
				'error_field' => 'RecipientAddress', 'default' => 0
			),
			'RecipientAddress' => Array (
				'type' => 'string', 'max_len' => 255,
				'error_msgs' => Array (
					'invalid_email' => '!la_err_invalid_format!',
					'invalid_user' => '!la_error_UserNotFound!',
					'invalid_group' => '!la_error_GroupNotFound!',
				),
				'default' => ''
			),

			'Tag' => Array ('type' => 'string', 'default' => ''),
			'Replacement' => Array ('type' => 'string', 'default' => ''),
			'ReplacementTagsXML' => Array ('type' => 'string', 'default' => ''),
		),

		'Grids'	=> Array (
			// used on "Email Events" tab in language editing in "Regional" section
			'Default' => Array (
				'Icons' => Array (
					'default' => 'icon16_item.png',
					0 => 'icon16_disabled.png',
					1 => 'icon16_item.png',
				),
				'Fields' => Array (
					'TemplateId' 		=>	Array ('title' => 'column:la_fld_Id', 'filter_block' => 'grid_range_filter', 'width' => 70, ),
					'Description'	=>	Array ('filter_block' => 'grid_like_filter', 'width' => 250, ),
					'TemplateName'	=>	Array ('filter_block' => 'grid_like_filter', 'width' => 250, ),
					'Module'		=>	Array ('filter_block' => 'grid_multioptions_filter', 'width' => 100, ),
					'Type'			=>	Array ('filter_block' => 'grid_options_filter', 'width' => 120, ),
					'Enabled'		=>	Array ('title' => 'column:la_fld_Status', 'filter_block' => 'grid_options_filter', 'width' => 80, ),
					'LastChanged'	=>	Array ('title' => 'column:la_fld_Modified', 'filter_block' => 'grid_date_range_filter', 'width' => 150),
				),
			),

			// used on "Email Templates" section
			'Emails' => Array (
				'Icons' => Array (
					'default' => 'icon16_item.png',
					0 => 'icon16_disabled.png',
					1 => 'icon16_item.png',
				),
				'Fields' => Array (
					'TemplateId' => Array ('title' => 'column:la_fld_Id', 'filter_block' => 'grid_range_filter', 'width' => 60, ),
					'TemplateName' => Array ('filter_block' => 'grid_like_combo_filter', 'width' => 250, ),
					'Subject' => Array ('filter_block' => 'grid_like_filter', 'no_special' => 0, 'width' => 300, ),
					'Description' => Array ('filter_block' => 'grid_like_filter', 'width' => 250, ),
					'Type' => Array ('filter_block' => 'grid_options_filter', 'width' => 60, ),
					'Enabled' => Array ('filter_block' => 'grid_options_filter', 'width' => 70, ),
					'Module' => Array ('filter_block' => 'grid_multioptions_filter', 'width' => 100, ),
					'FrontEndOnly' => Array ('filter_block' => 'grid_options_filter', 'width' => 120, 'hidden' => 1),
					'LastChanged' => Array ('title' => 'column:la_fld_Modified', 'filter_block' => 'grid_date_range_filter', 'width' => 150),
				),
			),
		),
	);
